Subject: bug#61449: 30.0.50; diff-hl-dired: Consider adding a cookie to diff-hl-dired overlay

From: Dmitry Gutov <[email-masked]>
Date: Sun, 12 Feb 2023 15:12:27 +0200

On 12/02/2023 07:32, Ramesh Nedunchezian wrote:
> 1. `diff-hl-dired-mode` kicks of an async process, and I wanted some
>     visual indication that the async process has finished, and I am
>     seeing ALL OF the unknown files.  I would have appreciated an echo
>     area message, or a mode line indicator that the process has
>     finished.

I was worried it could be too distracting, to show that every time one 
enters a directory. Perhaps a user option could be added.

> 2. `C-x v d` recursively lists all "unregistered" files, but
>     `diff-hl-dired-mode` lists only the entries in current directory.
> 
>      I would have appreciated an option to do a recursive listing of
>     files ....

I'm pretty sure the unregistered files are mentioned recursively. But 
the indicator is put on the containing directory. How else would we do that?